#
# spec file for package ubuntu-fonts (Version 0.80)
# Copyright (c) 2010 Andrew Psaltis

# Modified from the liberation-fonts package spec file, which is licensed:
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.



# norootforbuild


Name:           ubuntu-fonts
%define	ttf_fontdir     /usr/share/fonts/truetype
License:        Ubuntu Font License 1.0
Group:          System/X11/Fonts
AutoReqProv:    on
PreReq:         %suseconfig_fonts_prereq
Provides:       locale(bg;el;ru;bg)
Version:        0.80
Release:        3.2
Summary:        Ubuntu Font Family
Source:         ubuntu-font-family-%{version}.zip
Url:            http://font.ubuntu.com
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  unzip

%description
The Ubuntu Font Family are a set of matching new libre/open fonts in
development during 2010--2011. The development is being funded by
Canonical Ltd on behalf the wider Free Software community and the
Ubuntu project. The technical font design work and implementation is
being undertaken by Dalton Maag.

Both the final font Truetype/OpenType files and the design files used
to produce the font family are distributed under an open licence and
you are expressly encouraged to experiment, modify, share and improve.



Authors:
--------
    Dalton Maag http://www.daltonmaag.com/

%prep
%setup -n ubuntu-font-family-%version

%build

%install
mkdir -p $RPM_BUILD_ROOT%{ttf_fontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{ttf_fontdir}/

%post
%run_suseconfig_fonts

%postun
%run_suseconfig_fonts

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc copyright.txt LICENCE.txt README.txt
%{ttf_fontdir}

%changelog
* Fri Mar 18 2011 Andrew Psaltis <ampsaltis at gmail.com> - 0.71.2-1
- Version bump to 0.71.2
* Sun Dec 19 2010 Andrew Psaltis <ampsaltis at gmail.com> - 0.70.1-1
- Version bump to 0.70.1
* Thu Oct 21 2010 Andrew Psaltis <ampsaltis at gmail.com> - 0.69+ufl-1
- Add new package ubuntu-fonts (version 0.69+ufl)


